Bug 244081 - net-im/py-matrix-synapse: Update to 1.10.0
Summary: net-im/py-matrix-synapse: Update to 1.10.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Danilo G. Baio
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-12 21:07 UTC by Christopher May-Townsend
Modified: 2020-02-16 21:26 UTC (History)
2 users (show)

See Also:
ports: maintainer-feedback+


Attachments
patch for net-im/py-matrix-synapse:1.10.0 (1.52 KB, patch)
2020-02-12 21:07 UTC, Christopher May-Townsend
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher May-Townsend 2020-02-12 21:07:12 UTC
Created attachment 211599 [details]
patch for net-im/py-matrix-synapse:1.10.0

Just the latest release from today, 1.10.0. 

(first patch ive submitted too, so let me know if i missed anything)
Comment 1 Automation User 2020-02-12 21:32:39 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/117407513
Comment 2 Sascha Biberhofer 2020-02-12 21:34:31 UTC
Looks pretty much identical to the patch I had prepared, including the dependency bump, so I guess I approve. :D

synapse 1.10.0 passes the testsuit with the usual singular exception and seems to work fine in production too, if the last 8 hours are anything to go by. :)
Comment 3 Christopher May-Townsend 2020-02-12 21:41:25 UTC
(In reply to Sascha Biberhofer from comment #2)

Ah thanks! Yeah I'm up against some docker matrix users, so I try and keep matrix as current as quickly as I can :).
Comment 4 Christopher May-Townsend 2020-02-15 11:38:00 UTC
Morning, whats the process for getting a PR merged into head? You accepted this a few days ago now and the buildisok, so was curious, does it need to be accepted by someone higher up?
Comment 5 Sascha Biberhofer 2020-02-15 12:19:05 UTC
(In reply to Christopher May-Townsend from comment #4)

That's pretty much the case. We need to wait for one of the committers to find the time and review/actually commit these changes.
Comment 6 commit-hook freebsd_committer 2020-02-16 21:24:45 UTC
A commit references this bug:

Author: dbaio
Date: Sun Feb 16 21:23:57 UTC 2020
New revision: 526326
URL: https://svnweb.freebsd.org/changeset/ports/526326

Log:
  net-im/py-matrix-synapse: Update to 1.10.0

  Changelog:	https://github.com/matrix-org/synapse/blob/v1.10.0/CHANGES.md

  PR:		244081
  Submitted by:	Christopher May-Townsend <chris@maytownsend.co.uk>
  Approved by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)

Changes:
  head/net-im/py-matrix-synapse/Makefile
  head/net-im/py-matrix-synapse/distinfo
Comment 7 Danilo G. Baio freebsd_committer 2020-02-16 21:26:06 UTC
Committed, thank you both.